#!/bin/sh

# check out the modules based on the release date
mkdir phpeclipse-1.1.8
pushd phpeclipse-1.1.8
for m in net.sourceforge.phpeclipse \
         net.sourceforge.phpeclipse.core \
         net.sourceforge.phpeclipse.debug.core \
         net.sourceforge.phpeclipse.debug.ui \
         net.sourceforge.phpeclipse.externaltools \
         net.sourceforge.phpeclipse.feature \
         net.sourceforge.phpeclipse.launching \
         net.sourceforge.phpeclipse.phphelp \
         net.sourceforge.phpeclipse.smarty.ui \
         net.sourceforge.phpeclipse.ui \
         net.sourceforge.phpeclipse.webbrowser \
         net.sourceforge.phpeclipse.xml.core \
         net.sourceforge.phpeclipse.xml.ui; do
  cvs -z3 -d:pserver:anonymous@phpeclipse.cvs.sourceforge.net:/cvsroot/phpeclipse co -D "2006/04/08 00:00" -P $m
  # sf.net servers suck!
  if [ $? -eq 1 ]; then
    sleep 10
    cvs -z3 -d:pserver:anonymous@phpeclipse.cvs.sourceforge.net:/cvsroot/phpeclipse co -D "2006/04/08 00:00" -P $m
    if [ $? -eq 1 ]; then 
      echo "ERROR: There was a problem checking out the $m module."
      exit 1
    fi
  fi 
done

find -name feature.xml -o -name plugin.xml | xargs sed --in-place "s/1.1.7/1.1.8/"
find -name CVS | xargs rm -rf
popd

wget http://easynews.dl.sourceforge.net/sourceforge/phpeclipse/net.sourceforge.phpeclipse_1.1.8.src.zip
mkdir source-plugin
unzip -q -d source-plugin net.sourceforge.phpeclipse_1.1.8.src.zip

pushd source-plugin/plugins/net.sourceforge.phpeclipse.source_1.1.8/src

# take _1.1.8 off the directory names
for dir in $(ls --color=no); do
  newdir=$(echo $dir | sed s/_1.1.8//)
  mv $dir $newdir
done

# the plugin id and project name don't match for this one 
mv net.sourceforge.phpdt.smarty.ui net.sourceforge.phpeclipse.smarty.ui

# copy source files over
for sourcefile in $(find -name \*.java); do
  targetdir="../../../../phpeclipse-1.1.8/$(dirname $sourcefile | sed "s|./||")"
  mkdir -p $targetdir
  mv $sourcefile $targetdir
done
  
popd

# grab the plugin.xml, plugin.properties and other files from the binary zip
wget http://umn.dl.sourceforge.net/sourceforge/phpeclipse/net.sourceforge.phpeclipse_1.1.8.bin.dist.zip
mkdir binary-plugin
unzip -q -d binary-plugin net.sourceforge.phpeclipse_1.1.8.bin.dist.zip

pushd binary-plugin
# remove the jars so they don't accidentally end up in the source archive
find -name \*.jar | xargs rm

# flatten the directory structure
mv features/net.sourceforge.phpeclipse_1.1.8 net.sourceforge.phpeclipse.feature
mv plugins/* . 
rmdir features plugins

# take _1.1.8 off the directory names
for dir in $(ls --color=no | grep 1.1.8); do
  newdir=$(echo $dir | sed s/_1.1.8//)
  mv $dir $newdir
done

# the plugin id and project name don't match for this one 
mv net.sourceforge.phpdt.smarty.ui net.sourceforge.phpeclipse.smarty.ui

# finally copy the files over 
for sourcedir in $(ls --color=no); do
  targetdir=../phpeclipse-1.1.8/$sourcedir
  cp -r  $sourcedir/* $targetdir
done

popd

find phpeclipse-1.1.8 -name \*.java | xargs dos2unix 
find phpeclipse-1.1.8 -name \*.xml | xargs dos2unix
sed --in-place "s/3.1.1/0.0.0/" phpeclipse-1.1.8/net.sourceforge.phpeclipse.feature/feature.xml 

tar zcf phpeclipse-1.1.8.tar.gz phpeclipse-1.1.8

rm -rf binary-plugin source-plugin net.sourceforge.phpeclipse_1.1.8.src.zip phpeclipse-1.1.8 net.sourceforge.phpeclipse_1.1.8.bin.dist.zip
